.wp-block-post-date {
    background-color: var(--primary-color-light);
    color: #fff;
    font-size: 20px;
    padding: 8px 20px;
    margin-bottom: 20px;
}

.wp-block-post-featured-image {
    height: 200px;
    overflow: hidden;
    margin-bottom: 0;

    & img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        transition: transform 1500ms;
    }
}

.wp-block-post-featured-image+.wp-block-group {
    background-color: var(--light-bg-color);
    padding: 35px;
}

body.post-type-post .wp-block-post-title,
.wp-block-post .wp-block-post-title {
    font-size: 40px;
    line-height: 1.2;
    text-transform: uppercase;
}

body.post-type-post .wp-block-post-content,
.wp-block-post .wp-block-post-content {
    font-size: 18px;
}

body.post-type-post .wp-block-button .wp-element-button,
.wp-block-post .wp-block-button .wp-element-button {
    background-color: var(--button-bg-color);
    color: var(--dark-color);
    font-weight: 700;
    border-radius: 14px;
}

.wp-block-post:hover {
    .wp-block-post-featured-image img {
        transform: scale(1.2);
    }
}

body.post-type-page .wp-block-post .wp-block-post-content,
body.page .wp-block-post-content {
    & strong {
        font-weight: inherit;
    }
}

.wp-block-separator {
    border: none;
    border-bottom: 3px dashed var(--primary-color-light);
}

.wp-block-post:last-child .wp-block-separator {
    display: none;
}